Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface LayoutDefinitionControl

    public interface LayoutDefinitionControl

A custom control interface used to interact with LayoutDefinitions.

Method Summary
`void` | `deleteLayoutDefinition(com.bea.netuix.application.identifier.LayoutDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Deletes a `LayoutDefintion` and all associated placeholders.
`com.bea.netuix.application.definition.LayoutDefinition` | `getLayoutDefinition(com.bea.netuix.application.identifier.LayoutDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Used to retieve a single `LayoutDefinition` object given a layoutId.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.LayoutDefinition>` | `getLayoutDefinitions(int pageSize, com.bea.netuix.application.search.WebAppSearchCriteria criteria, com.bea.portal.tools.common.ResourceContext context)` Retrieves all the `LayoutDefinition`s scoped to this web app

Method Detail

### getLayoutDefinitions

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.LayoutDefinition> getLayoutDefinitions(int pageSize,
                                                                                                                                       com.bea.netuix.application.search.WebAppSearchCriteria criteria,
                                                                                                                                       com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                       throws com.bea.portal.tools.common.exceptions.ToolsException

  Retrieves all the `LayoutDefinition`s scoped to this web app

  Parameters
    `pageSize` - Number of elements per iterator object within the `PagedResult`
    `criteria` - the criteria (including web app name) to search with.
    `context` - the resource context
  Returns
    A `PagedResult` object containing `Iterators` of `LayoutDefinitions`
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getLayoutDefinition

    com.bea.netuix.application.definition.LayoutDefinition getLayoutDefinition(com.bea.netuix.application.identifier.LayoutDefinitionId id,
                                                                               com.bea.portal.tools.common.ResourceContext context)
                                                                               throws com.bea.portal.tools.common.exceptions.ToolsException

  Used to retieve a single `LayoutDefinition` object given a layoutId.

  Parameters
    `id` - the ID of the layout to retrieve
    `context` - the resource context
  Returns
    A `LayoutDeinition` object based on the layoutId
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### deleteLayoutDefinition

    void deleteLayoutDefinition(com.bea.netuix.application.identifier.LayoutDefinitionId id,
                                com.bea.portal.tools.common.ResourceContext context)
                                throws com.bea.netuix.application.exception.ObjectInUseException,
                                       com.bea.portal.tools.common.exceptions.ToolsException,
                                       com.bea.netuix.application.exception.NotEntitledException,
                                       com.bea.netuix.application.exception.ObjectNotFoundException

  Deletes a `LayoutDefintion` and all associated placeholders.

  Parameters
    `id` - The id of the LayoutDefinition to delete.
    `context` - the resource context
  Throws
    `com.bea.netuix.application.exception.ObjectInUseException`
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved